<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [GangFormulas](./bitburner.gangformulas.md) &gt; [ascensionPointsGain](./bitburner.gangformulas.ascensionpointsgain.md)

## GangFormulas.ascensionPointsGain() method

Calculate ascension point gain.

**Signature:**

```typescript
ascensionPointsGain(exp: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

exp


</td><td>

number


</td><td>

Experience point before ascension.


</td></tr>
</tbody></table>

**Returns:**

number

The calculated ascension point gain.

